Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.deploy
Class DeploymentSourceImpl

    java.lang.Object
      com.sun.appserv.management.base.MapCapableBase
          com.sun.appserv.management.deploy.DeploymentSourceImpl

All Implemented Interfaces:
  DeploymentSource, MapCapable

public final class DeploymentSourceImpl
extends MapCapableBase
implements DeploymentSource

Field Summary
`static java.lang.String` | `ARCHIVE_FILE_KEY` Key corresponding to getArchive()
`static java.lang.String` | `ENTRIES_ADDED_KEY` Key corresponding to getEntriesAdded()
`static java.lang.String` | `ENTRIES_DELETED_KEY` Key corresponding to getEntriesDeleted()
`static java.lang.String` | `ENTRIES_REMOVED_KEY` Key corresponding to getEntriesRemoved()
`static java.lang.String` | `IS_COMPLETE_ARCHIVE_KEY` Key corresponding to isComplete()

Fields inherited from interface com.sun.appserv.management.deploy.DeploymentSource
`DEPLOYMENT_SOURCE_CLASS_NAME`

Fields inherited from interface com.sun.appserv.management.base.MapCapable
`MAP_CAPABLE_CLASS_NAME_KEY`

Constructor Summary
`DeploymentSourceImpl(DeploymentSource src)`
`DeploymentSourceImpl(java.util.Map m)`
`DeploymentSourceImpl(java.lang.String archiveFile, boolean isCompleteArchive, java.lang.String[] entriesAdded, java.lang.String[] entriesRemoved, java.lang.String[] entriesDeleted, java.util.Map other)`

Method Summary
`java.io.File` | `getArchive()` (Optional)
`java.util.jar.JarInputStream` | `getArchiveAsStream()`
`java.lang.String[]` | `getEntriesAdded()` In case of a partial delivery.
`java.lang.String[]` | `getEntriesDeleted()` In case of a partial delivery.
`java.lang.String[]` | `getEntriesRemoved()` In case of a partial archive delivery.
`java.lang.String` | `getMapClassName()` Return the interface that this Map represents (the Java classname).
`boolean` | `isCompleteArchive()`
`protected boolean` | `validate()` Return true if internal state is valid, false otherwise.

Methods inherited from class com.sun.appserv.management.base.MapCapableBase
`asMap, checkInJavaUtil, checkLegalObject, checkLegalObject, checkValidType, equals, getboolean, getBoolean, getByte, getField, getFile, getInteger, getMap, getObject, getString, getStringArray, illegalObject, makeImmutable, putAll, putField, putFieldHook, toString, validateNullOrOfType, validateThrow`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.appserv.management.base.MapCapable
`asMap`

Field Detail

### ARCHIVE_FILE_KEY

    public static final java.lang.String ARCHIVE_FILE_KEY

  Key corresponding to getArchive()

  See Also:
    Constant Field Values

### IS_COMPLETE_ARCHIVE_KEY

    public static final java.lang.String IS_COMPLETE_ARCHIVE_KEY

  Key corresponding to isComplete()

  See Also:
    Constant Field Values

### ENTRIES_ADDED_KEY

    public static final java.lang.String ENTRIES_ADDED_KEY

  Key corresponding to getEntriesAdded()

  See Also:
    Constant Field Values

### ENTRIES_REMOVED_KEY

    public static final java.lang.String ENTRIES_REMOVED_KEY

  Key corresponding to getEntriesRemoved()

  See Also:
    Constant Field Values

### ENTRIES_DELETED_KEY

    public static final java.lang.String ENTRIES_DELETED_KEY

  Key corresponding to getEntriesDeleted()

  See Also:
    Constant Field Values

Constructor Detail

### DeploymentSourceImpl

    public DeploymentSourceImpl(DeploymentSource src)

### DeploymentSourceImpl

    public DeploymentSourceImpl(java.util.Map m)

### DeploymentSourceImpl

    public DeploymentSourceImpl(java.lang.String archiveFile,
                                boolean isCompleteArchive,
                                java.lang.String[] entriesAdded,
                                java.lang.String[] entriesRemoved,
                                java.lang.String[] entriesDeleted,
                                java.util.Map other)

Method Detail

### validate

    protected boolean validate()

  Description copied from class: `MapCapableBase`
  Return true if internal state is valid, false otherwise.

  Specified by:
    `validate` in class `MapCapableBase`

### getMapClassName

    public java.lang.String getMapClassName()

  Description copied from interface: `MapCapable`
  Return the interface that this Map represents (the Java classname).

  Specified by:
    `getMapClassName` in interface `MapCapable`
  Overrides:
    `getMapClassName` in class `MapCapableBase`

### getArchive

    public java.io.File getArchive()

  Description copied from interface: `DeploymentSource`
  (Optional)

  Specified by:
    `getArchive` in interface `DeploymentSource`
  Returns:
    the archive as a file handle if possible otherwise return null.

### getArchiveAsStream

    public java.util.jar.JarInputStream getArchiveAsStream()
                                                    throws java.io.IOException

  Specified by:
    `getArchiveAsStream` in interface `DeploymentSource`
  Returns:
    a JarInputStream on the archive.
  Throws:
    `java.io.IOException`

### isCompleteArchive

    public boolean isCompleteArchive()

  Specified by:
    `isCompleteArchive` in interface `DeploymentSource`
  Returns:
    true if this archive is complete or false if it is a partial delivery (redeploy).

### getEntriesAdded

    public java.lang.String[] getEntriesAdded()

  Description copied from interface: `DeploymentSource`
  In case of a partial delivery.

  Specified by:
    `getEntriesAdded` in interface `DeploymentSource`
  Returns:
    entries added iterator

### getEntriesRemoved

    public java.lang.String[] getEntriesRemoved()

  Description copied from interface: `DeploymentSource`
  In case of a partial archive delivery.

  Specified by:
    `getEntriesRemoved` in interface `DeploymentSource`
  Returns:
    entries removed iterator

### getEntriesDeleted

    public java.lang.String[] getEntriesDeleted()

  Description copied from interface: `DeploymentSource`
  In case of a partial delivery.

  Specified by:
    `getEntriesDeleted` in interface `DeploymentSource`
  Returns:
    entries deleted iterator

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.